[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| RFErrorCallback Class Reference |

`#include <vigra/random_forest/rf_algorithm.hxx>`

List of all members.

## Public Member Functions
template<class Feature_t , class Response_t >
double | operator() (Feature_t const &features, Response_t const &response)
| RFErrorCallback (RandomForestOptions opt=RandomForestOptions())

## Detailed Description

Standard random forest Errorrate callback functor

returns the random forest error estimate when invoked.

## Constructor & Destructor Documentation

RFErrorCallback | ( | RandomForestOptions | opt = `RandomForestOptions()` | ) |

Default constructor

optionally supply options to the random forest classifier

See also:
  RandomForestOptions

## Member Function Documentation

double operator() | ( | Feature_t const & | features,
|  | Response_t const & | response
| ) |  |

returns the RF OOB error estimate given features and labels

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_algorithm.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)